# $Revision: 1.29 $, $Date: 2009/11/05 12:05:01 $
Summary:	Conference module for Jabber
Summary(pl.UTF-8):	Moduł konferencyjny systemu Jabber
Name:		jabber-mu-conference
Version:	0.8
Release:	1
License:	distributable
Group:		Applications/Communications
Source0:	http://download.gna.org/mu-conference/mu-conference_%{version}.tar.gz
# Source0-md5:	3e11ae52499a65a577d4c697194fc1ce
Source1:	jabber-muc.init
Source2:	jabber-muc.sysconfig
Patch0:		%{name}-Makefiles.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-drop_priv.patch
URL:		https://gna.org/projects/mu-conference/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the new multi-user conferencing service for the Jabber server.
This is the reference implementation of MUC protocol (JEP-0045).

%description -l pl.UTF-8
To jest nowy moduł konferencji/grupowych czatów dla serwera Jabber. To
jest wzorcowa implementacja protokołu MUC (JEP-0045).

%prep
%setup -qn mu-conference_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	OFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/jabber \
	$RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{/var/log/%{name}/chats,/var/lib/%{name}}

install src/mu-conference $RPM_BUILD_ROOT%{_sbindir}/jabber-muc
install muc-default.xml $RPM_BUILD_ROOT%{_sysconfdir}/jabber/mu-conference.xml
install style.css $RPM_BUILD_ROOT%{_sysconfdir}/jabber/mu-conference-style.css
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabber-muc
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/jabber-muc

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in the config file..."
		%{__sed} -i -e "s/>secret</>$SECRET</" %{_sysconfdir}/jabber/mu-conference.xml
	fi
fi

/sbin/chkconfig --add jabber-muc
%service jabber-muc restart "Jabber mu-conference service"

%preun
if [ "$1" = "0" ]; then
	%service jabber-muc stop
	/sbin/chkconfig --del jabber-muc
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README TODO *.xml *.sql
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*
%attr(754,root,root) /etc/rc.d/init.d/jabber-muc
%dir %attr(771,root,jabber) /var/lib/jabber-mu-conference/
%dir %attr(775,root,jabber) /var/log/jabber-mu-conference/
%dir %attr(775,root,jabber) /var/log/jabber-mu-conference/chats
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jabber-muc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-mu-conference.spec,v $
Revision 1.29  2009/11/05 12:05:01  hawk
- updated to 0.8

Revision 1.28  2008/05/11 21:50:30  hawk
- works for me, release 1

Revision 1.27  2008-05-11 21:11:12  hawk
- include sql schema in %doc

Revision 1.26  2008-05-11 21:08:42  hawk
- updated to 0.7, release 0.1, not tested yet

Revision 1.25  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.23  2006/05/21 17:15:29  glen
- rel 4

Revision 1.22  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.21  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.20  2004/06/01 11:41:16  jajcus
- Release: 3
- build with JCR instead of jabberd14-devel - no more jabberd-1.4 dependency

Revision 1.19  2004/01/27 09:18:27  qboosh
- cleanups

Revision 1.18  2004/01/25 22:07:02  undefine
- add fPIC to flags, release 2

Revision 1.17  2004/01/03 11:54:01  jajcus
- Version: 0.6.0

Revision 1.16  2003/12/11 16:44:09  undefine
- release 2 to rebuild with ac

Revision 1.15  2003/10/13 13:29:28  qboosh
- pass optflags

Revision 1.14  2003/09/30 12:28:35  qboosh
- post/preun deps

Revision 1.13  2003/09/17 13:00:17  jajcus
- run chkconfig in jabber-mu-conference.specost and jabber-mu-conference.specreun

Revision 1.12  2003/09/16 11:57:16  jajcus
- use environment provided by jabber-common package

Revision 1.11  2003/09/15 12:37:59  jajcus
- modified for compilation with new jabberd14 package and for use with jabberd 2.0

Revision 1.10  2003/09/15 06:57:13  jajcus
- Obsoletes: jabber-conference
- Started update for use with jabberd-2.0 (and compile with jabberd14)

Revision 1.9  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.8  2003/06/26 21:28:19  gotar
- upgraded to 0.5.2

Revision 1.7  2003/06/21 13:59:19  gotar
- fixed source

Revision 1.6  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/06 16:50:46  jajcus
- URLs and description updated

Revision 1.3  2003/02/06 09:41:27  jajcus
- permisions on log directory fixed

Revision 1.2  2003/02/06 09:25:46  jajcus
- Requires: jabber-1.4.2-4 (for proper init script)

Revision 1.1  2003/02/06 09:22:44  jajcus
- new spec
